Execute a search on a saved search
curl --request GET \
--url https://app.govly.com/api/enterprise/awards/saved_searches/{id}/search \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.govly.com/api/enterprise/awards/saved_searches/{id}/search"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.govly.com/api/enterprise/awards/saved_searches/{id}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"uniqueKey": "<string>",
"identifier": "<string>",
"title": "<string>",
"description": "<string>",
"aiSummary": "<string>",
"category": "<string>",
"url": "<string>",
"externalUrl": "<string>",
"awardedDate": "<string>",
"lastModifiedDate": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"externalSolicitationDate": "<string>",
"periodOfPerformanceStartDate": "<string>",
"periodOfPerformanceEndDate": "<string>",
"periodOfPerformancePotentialEndDate": "<string>",
"awardAmount": 123,
"ceilingAmount": 123,
"obligatedAmount": 123,
"paidAmount": 123,
"paymentStructure": "<string>",
"acquisitionType": "<string>",
"acquisitionCategory": "<string>",
"extentCompeted": "<string>",
"naics": "<string>",
"psc": "<string>",
"numberOfBidsReceived": 123,
"setAside": {
"code": "<string>",
"name": "<string>"
},
"parentUniqueKey": "<string>",
"externalParentIdentifier": "<string>",
"externalSolicitationId": "<string>",
"recipientUniqueKey": "<string>",
"recipientParentUniqueKey": "<string>",
"recipientCageCode": "<string>",
"recipient": {
"uniqueKey": "<string>",
"name": "<string>",
"cageCode": "<string>",
"address": {
"streetAddress": "<string>",
"streetAddress2": "<string>",
"streetAddress3": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"aiHqAddress": {},
"aiUrl": "<string>"
},
"buyer": {
"id": "<string>",
"name": "<string>",
"hierarchy": [
"<string>"
],
"hierarchyIds": [
"<string>"
],
"aiUrl": "<string>",
"aiHqAddress": {}
},
"buyingOffice": {
"id": "<string>",
"name": "<string>",
"hierarchy": [
"<string>"
],
"hierarchyIds": [
"<string>"
],
"aiUrl": "<string>",
"aiHqAddress": {}
},
"funder": {
"id": "<string>",
"name": "<string>",
"hierarchy": [
"<string>"
],
"hierarchyIds": [
"<string>"
],
"aiUrl": "<string>",
"aiHqAddress": {}
},
"fundingOffice": {
"id": "<string>",
"name": "<string>",
"hierarchy": [
"<string>"
],
"hierarchyIds": [
"<string>"
],
"aiUrl": "<string>",
"aiHqAddress": {}
},
"placeOfManufacture": "<string>",
"placeOfPerformance": {
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>",
"county": "<string>",
"congressionalCode": "<string>"
},
"highlights": {
"[field_name]": [
"<string>"
]
}
}
],
"meta": {
"currentPage": 123,
"per": 123,
"total": 123,
"totalPages": 123
}
}Saved Searches
Execute a search on a saved search
Search awards using a saved search query
GET
/
api
/
enterprise
/
awards
/
saved_searches
/
{id}
/
search
Execute a search on a saved search
Request
string
required
ID of the saved search to execute
integer
default:50
Number of results per page (max: 100)
integer
default:1
Page number for pagination
string
Which field to use for sorting. Must be one of:
relevance, period_of_performance_start_date, last_modified_date, or awarded_date. Default: relevancestring
default:"desc"
Sort direction for results (
asc or desc)string
Start date for filtering results (ISO 8601 format). Default: uses saved search relative date range or 1 day ago
string
End date for filtering results (ISO 8601 format). Default: uses saved search relative date range or current date
string
Which date field to use for date range filtering. Must be one of:
period_of_performance_start_date, last_modified_date, or awarded_date. Default: period_of_performance_start_dateResponse
array
Array of award objects matching the search criteria
Show Award Properties
Show Award Properties
string
Unique identifier for the award
string
Unique identifier key for the award (e.g., FPDS PIID)
string
External identifier for the award
string
Title of the award
string
Description of the award
string
AI-generated summary of the award
string
Award category (e.g., “contract”, “grant”)
string
Govly web URL for viewing the award
string
URL to the original government source
string
ISO 8601 date when the award was made
string
ISO 8601 date when the award was last modified
string
ISO 8601 timestamp when the record was created in Govly
string
ISO 8601 timestamp when the record was last updated in Govly
string
ISO 8601 date of the related solicitation
string
ISO 8601 date when the period of performance begins
string
ISO 8601 date when the period of performance ends
string
ISO 8601 date of the potential end date including options
number
Total award amount in USD
number
Maximum potential value of the award in USD
number
Amount obligated in USD
number
Amount paid in USD
string
Payment structure type (e.g., “Fixed Price”, “Cost Reimbursement”)
string
Type of acquisition
string
Category of acquisition
string
Extent of competition (e.g., “Full and Open Competition”, “Not Competed”)
string
NAICS code for the award
string
Product Service Code (PSC)
integer
Number of bids received for the award
object
string
Unique key of the parent award (for modifications)
string
External identifier of the parent award
string
External ID of the related solicitation
string
Unique key of the award recipient (UEI)
string
Unique key of the recipient’s parent organization
string
CAGE code of the recipient
object
Information about the award recipient
Show Properties
Show Properties
string
Unique identifier for the recipient (UEI)
string
Recipient organization name
string
CAGE code
object
string | object
AI-enriched headquarters address
string
AI-enriched website URL
object
Information about the buying organization
object
Information about the buying office
object
Information about the funding organization
object
Information about the funding office
string
Place of manufacture designation
object
object
Example Requests
Basic search execution
curl "https://app.govly.com/api/enterprise/awards/saved_searches/abc123/search" \
-H "X-API-KEY: your_api_key"
With date range override
curl "https://app.govly.com/api/enterprise/awards/saved_searches/abc123/search?start_date=2024-01-01&end_date=2024-01-31" \
-H "X-API-KEY: your_api_key"
With sorting and pagination
curl "https://app.govly.com/api/enterprise/awards/saved_searches/abc123/search?sort=awarded_date&sort_direction=desc&per=25&page=2" \
-H "X-API-KEY: your_api_key"
Was this page helpful?
⌘I